> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-data-integration/10.2-data-integration/pdi-transformation-steps-reference-overview/jms-consumer/options-jms-consumer/fields-tab-jms-consumer.md).

# Fields tab

![Fields tab in JMS consumer](https://2745965000-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FvZoINBz5C5WnDZQlbOJQ%2Fuploads%2Fgit-blob-6e57f239edde7c93090139982e8a91c2e049bb59%2FPDITransStep_JMSConsumer_FieldsTab.png?alt=media)

Use this tab to define the fields in the record format.

| Option          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Input name**  | <p>The input name is received from the JMS streams. The following are received by default:- <strong>message</strong></p><p>The individual message contained in a record. Each record consists of a key, a value, and a timestamp.</p><ul><li><strong>destination</strong></li></ul><p>The name of the queue or topic from which the client consumes messages.</p><ul><li><strong>messageId</strong></li></ul><p>The value that uniquely identifies each message in a record.</p><ul><li><strong>jmsTimestamp</strong></li></ul><p>Specifies the time a message was generated.</p><ul><li><strong>jmsRedelivered</strong></li></ul><p>Specifies this message was marked for redelivery. This flag is useful if you need to de-duplicate messages.</p> |
| **Output name** | The **Output name** can be mapped to subscriber and member requirements.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Type**        | The **Type** field defines the data format for streaming the record which is the same data type that produced the records. Option is String.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/pdia-data-integration/10.2-data-integration/pdi-transformation-steps-reference-overview/jms-consumer/options-jms-consumer/fields-tab-jms-consumer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
